/* Trigger para gravar processos realizados encima da tabela "CODSITUTRIBNFE"*/
CREATE OR REPLACE TRIGGER LOG_DFS_CODSITUTRIBNFE
AFTER UPDATE OR INSERT OR DELETE
ON CODSITUTRIBNFE FOR EACH ROW
DECLARE
   V_DSREMOTEADDR VARCHAR2(15);
   V_DSREMOTEHOST VARCHAR2(15);
   V_DSSERVERRDM  VARCHAR2(20);
   V_DSSERVMETHOD VARCHAR2(30);
   V_DSREMOTEOPER VARCHAR2(12);
   V_DESC         VARCHAR2(300);
   V_ITPESQ       VARCHAR2(20);
   V_NMOPERADOR   VARCHAR2(40);
   V_IDTIPOOPER   VARCHAR2(1);
BEGIN
   V_DESC       := '';
   V_ITPESQ     := '';
   V_NMOPERADOR := '';
   V_IDTIPOOPER := '';

   NMUSUARIO(V_NMOPERADOR);
   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);
   /* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/
   IF DELETING THEN
      IF :OLD.NRINCIDCST IS NOT NULL THEN
         V_DESC := V_DESC || ' NrCST= '          || :OLD.NRINCIDCST;
      END IF;
      IF :OLD.CDIMPOSTO IS NOT NULL THEN
         V_DESC := V_DESC || ' CdImposto= '      || :OLD.CDIMPOSTO;
      END IF;
      IF :OLD.CDSITUTRIBNFE IS NOT NULL THEN
         V_DESC := V_DESC || ' CdSituTribNfe= '  || :OLD.CDSITUTRIBNFE;
      END IF;
      IF :OLD.IDMODBCNFE IS NOT NULL THEN
         V_DESC := V_DESC || ' IdModBcNFe= '     || :OLD.IDMODBCNFE;
      END IF;
      IF :OLD.IDMODBCSTNFE IS NOT NULL THEN
         V_DESC := V_DESC || ' IdModBcCSTNfe= '  || :OLD.IDMODBCSTNFE;
      END IF;
      IF :OLD.CDTPCRPICOSTNFE IS NOT NULL THEN
         V_DESC := V_DESC || ' CdTpcrPicostNfe= '|| :OLD.CDTPCRPICOSTNFE;
      END IF;
      IF :OLD.CDNATUBCPCSTNFE IS NOT NULL THEN
         V_DESC := V_DESC || ' CdNatubcpCSTNFe= '|| :OLD.CDNATUBCPCSTNFE;
      END IF;
      IF :OLD.IDENTSAICSTNFE IS NOT NULL THEN
         V_DESC := V_DESC || ' IdEntSaiCSTNfe= ' || :OLD.IDENTSAICSTNFE;
      END IF;
      IF :OLD.CDPRODUTO IS NOT NULL THEN
         V_DESC := V_DESC || ' CdProduto= '      || :OLD.CDPRODUTO;
      END IF;
      IF :OLD.IDENTRSAIDOP IS NOT NULL THEN
         V_DESC := V_DESC || ' IdEntrSaidOp= '   || :OLD.IDENTRSAIDOP;
      END IF;
      IF :OLD.CDTIPOOPER IS NOT NULL THEN
         V_DESC := V_DESC || ' TipoOper= '       || :OLD.CDTIPOOPER;
      END IF;
      IF :OLD.CDEMPRESA IS NOT NULL THEN
         V_DESC := V_DESC || ' CdEmpresa= '      || :OLD.CDEMPRESA;
      END IF;
      IF :OLD.CDGRUPOFISC IS NOT NULL THEN
         V_DESC := V_DESC || ' GrupoFisc= '      || :OLD.CDGRUPOFISC;
      END IF;
      IF :OLD.CDTPCRPICOSTNFE IS NOT NULL THEN
         V_DESC := V_DESC || ' CdTpCrPisCostNfe = '      || :OLD.CDTPCRPICOSTNFE;
      END IF;
      IF :OLD.CDNATUBCPCSTNFE IS NOT NULL THEN
         V_DESC := V_DESC || ' CdNatBcCstNfe= '          || :OLD.CDNATUBCPCSTNFE;
      END IF;

      V_ITPESQ    := :OLD.NRINCIDCST||:OLD.CDIMPOSTO;
      V_IDTIPOOPER := '3';
   ELSE
      IF UPDATING THEN
         V_ITPESQ    := :NEW.NRINCIDCST||:NEW.CDIMPOSTO;
         V_IDTIPOOPER := '2';
      ELSE
         V_ITPESQ    := :NEW.NRINCIDCST||:NEW.CDIMPOSTO;
         V_IDTIPOOPER := '1';
      END IF;

      IF NVL(:OLD.NRINCIDCST, '#') <> NVL(:NEW.NRINCIDCST, '#') THEN
         V_DESC := V_DESC || ' NrCST= '          || :NEW.NRINCIDCST;
      END IF;
      IF NVL(:OLD.CDIMPOSTO, '#') <> NVL(:NEW.CDIMPOSTO, '#')  THEN
         V_DESC := V_DESC || ' CdImposto= '      || :NEW.CDIMPOSTO;
      END IF;
      IF NVL(:OLD.CDSITUTRIBNFE, '#') <> NVL(:NEW.CDSITUTRIBNFE, '#')  THEN
         V_DESC := V_DESC || ' CdSituTribNfe= '  || :NEW.CDSITUTRIBNFE;
      END IF;
      IF NVL(:OLD.IDMODBCNFE, '#') <> NVL(:NEW.IDMODBCNFE, '#')  THEN
         V_DESC := V_DESC || ' IdModBcNFe= '     || :NEW.IDMODBCNFE;
      END IF;
      IF NVL(:OLD.IDMODBCSTNFE, '#') <> NVL(:NEW.IDMODBCSTNFE, '#')  THEN
         V_DESC := V_DESC || ' IdModBcCSTNfe= '  || :NEW.IDMODBCSTNFE;
      END IF;
      IF NVL(:OLD.CDTPCRPICOSTNFE, '#') <> NVL(:NEW.CDTPCRPICOSTNFE, '#')   THEN
         V_DESC := V_DESC || ' CdTpcrPicostNfe= '|| :NEW.CDTPCRPICOSTNFE;
      END IF;
      IF NVL(:OLD.CDNATUBCPCSTNFE, '#') <> NVL(:NEW.CDNATUBCPCSTNFE, '#') THEN
         V_DESC := V_DESC || ' CdNatubcpCSTNFe= '|| :NEW.CDNATUBCPCSTNFE;
      END IF;
      IF NVL(:OLD.IDENTSAICSTNFE, '#') <> NVL(:NEW.IDENTSAICSTNFE, '#') THEN
         V_DESC := V_DESC || ' IdEntSaiCSTNfe= ' || :NEW.IDENTSAICSTNFE;
      END IF;
      IF NVL(:OLD.CDPRODUTO, '#') <> NVL(:NEW.CDPRODUTO, '#')  THEN
         V_DESC := V_DESC || ' CdProduto= '      || :NEW.CDPRODUTO;
      END IF;
      IF NVL(:OLD.IDENTRSAIDOP, '#') <> NVL(:NEW.IDENTRSAIDOP, '#')  THEN
         V_DESC := V_DESC || ' IdEntrSaidOp= '   || :NEW.IDENTRSAIDOP;
      END IF;
      IF NVL(:OLD.CDTIPOOPER, '#') <> NVL(:NEW.CDTIPOOPER, '#') THEN
         V_DESC := V_DESC || ' TipoOper= '       || :NEW.CDTIPOOPER;
      END IF;
      IF NVL(:OLD.CDEMPRESA, '#') <> NVL(:NEW.CDEMPRESA, '#')   THEN
         V_DESC := V_DESC || ' CdEmpresa= '      || :NEW.CDEMPRESA;
      END IF;
      IF NVL(:OLD.CDGRUPOFISC, '#') <> NVL(:NEW.CDGRUPOFISC, '#')  THEN
         V_DESC := V_DESC || ' GrupoFisc= '      || :NEW.CDGRUPOFISC;
      END IF;
      IF NVL(:OLD.CDTPCRPICOSTNFE, '#') <> NVL(:NEW.CDTPCRPICOSTNFE, '#')  THEN
         V_DESC := V_DESC || ' CdTpCrPisCostNfe= '      || :NEW.CDTPCRPICOSTNFE;
      END IF;
      IF NVL(:OLD.CDNATUBCPCSTNFE, '#') <> NVL(:NEW.CDNATUBCPCSTNFE, '#')  THEN
         V_DESC := V_DESC || ' CdNatBcCstNfe= '      || :NEW.CDNATUBCPCSTNFE;
      END IF;

   END IF;
   IF NOT V_DESC IS NULL THEN
      V_DESC := SUBSTR(V_DESC, 1, 300);
      INSERT INTO LOGOPERA
         (NMTABELA, DTOPERACAO,NMRESPOPER,IDTIPOOPER,DSOPERACAO,CDPESQITEM,
          DSRDMUSUOPER,DSENDUSUOPER,DSNMUSUOPER,DSMETUSUOPER,CDORESPOPER)
      VALUES
         ('CODSITUTRIBNFE', SYSDATE, NVL(V_NMOPERADOR,' '), V_IDTIPOOPER,
          V_DESC, V_ITPESQ, V_DSSERVERRDM, V_DSREMOTEADDR, V_DSREMOTEHOST,
          V_DSSERVMETHOD, V_DSREMOTEOPER);
   END IF;
END;
/
-- VERSAO --
BEGIN ATUVEROBJ('LOG_DFS_CODSITUTRIBNFE','5.30.xxx'); END;
/
