/* Sistemas Integrados TEKNISA
  Integrao TEKNISA X SAP

Nome: 0002_SAPLAVO.SQL

@C:\web_550\sql\end_conv\oracle\clientes\lav\0002_SAPLAVO_TABELASSAP.sql

Descrio:
Rotina para criao das tabelas referente a condigo de pagamento e impostos do sistema SAP.

Criao:
29/12/2008 - Fabrcio Marcelo da Silva
*/

-- ============================================================
--   Table: USR_CONDPGTOSAP
-- ============================================================
create table USR_CONDPGTOSAP
(
    USR_IDORIGEM        VARCHAR2(1)            not null,
    USR_CDFORMPGTO      VARCHAR2(5)            not null,
    USR_DSFORMPGTO      VARCHAR2(100)          not null,
    USR_DSDIASPGTO      VARCHAR2(100)           null,
    constraint PK_USR_CONDPGTOSAP primary key (USR_IDORIGEM, USR_CDFORMPGTO)
)
/


-- ============================================================
--   Table: USR_DIASPGTOSAP
-- ============================================================
create table USR_DIASPGTOSAP
(
    USR_IDORIGEM        VARCHAR2(1)            not null,
    USR_CDFORMPGTO      VARCHAR2(5)            not null,
    USR_QTDIASPGTO      FLOAT                  not null,
    constraint PK_USR_DIASPGTOSAP primary key (USR_IDORIGEM, USR_CDFORMPGTO, USR_QTDIASPGTO)
)
/


-- ============================================================
--   Table: USR_IMPOSTOSAP
-- ============================================================
create table USR_IMPOSTOSAP
(
    USR_CDFORNECED      VARCHAR2(21)           not null,
    USR_CDIMPOSTOSAP    VARCHAR2(5)            not null,
    constraint PK_USR_IMPOSTOSAP primary key (USR_CDFORNECED, USR_CDIMPOSTOSAP)
)
/


-- ============================================================
--   Index: LAV00001_FK
-- ============================================================
create index LAV00001_FK on USR_CONDPGTOSAP (USR_DSDIASPGTO asc)
/


alter table USR_IMPOSTOSAP
    add constraint USR_FKLAVFORNEC  foreign key  (USR_CDFORNECED)
       references FORNECEDOR (CDFORNECED)
/

alter table USR_DIASPGTOSAP
    add constraint USR_FKUSR_CONDPGTOSAP foreign key  (USR_IDORIGEM, USR_CDFORMPGTO)
       references USR_CONDPGTOSAP (USR_IDORIGEM, USR_CDFORMPGTO) on delete cascade
/

-- ============================================================
--   Table: USR_CONTSAP
-- ============================================================
create table USR_CONTSAP
(
    USR_CDFILIAL	      VARCHAR2(04)           not null,
    USR_IDENTRSAID	   VARCHAR2(01)           not null,
    USR_CDTIPOOPER		VARCHAR2(02)			  not null,
    USR_CDCONTCTBLPROD	VARCHAR2(20)			  not null,
    USR_CDCONTCTBLINSC	VARCHAR2(20)			  not null,
    	constraint PK_USR_CONTSAP primary key (USR_CDFILIAL, USR_IDENTRSAID, USR_CDTIPOOPER)
)
/

alter table USR_CONTSAP
    add constraint USR_FKUSR_FILIAL  foreign key  (USR_CDFILIAL)
       references FILIAL (CDFILIAL)
/

alter table USR_CONTSAP
    drop constraint USR_FKUSR_TIPOOPERAC
/

alter table USR_CONTSAP
    add constraint USR_FKUSR_TIPOOPERAC  foreign key  (USR_IDENTRSAID, USR_CDTIPOOPER)
       references TIPOOPERAC (IDENTRSAIDOP, CDTIPOOPER)
/

-- VERSAO --
BEGIN ATUVEROBJ('ATUALIZACAO_ESTRUTURA_BD','5.50.XXX'); END;
/

