package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import freemarker.core.TemplateObject;
import org.openqa.selenium.By;
import org.openqa.selenium.JavascriptExecutor;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.interactions.Actions;

import javax.swing.*;

public class CadastroServicoPage extends PageBase {

    By ClicaMenu = By.xpath("//*[@type = 'button']");
    By usernameLoginInfoTextArea = By.xpath("//*[@class = 'navbar-brand zh-header-title has-header-info']");
    By clicarBotaoParametrizacao = By.xpath("//*[@class = 'menu-link'] //*[contains(text(),'Parametrização')]");
    By clicarBotaoPlanejamento = By.xpath("//ul[@class = 'sub-menu']//*[contains(text(),'Planejamento')]");
    By clicarBotaoServico = By.xpath("/html/body/span/section/section/div[2]/section[1]/div/aside/div[2]/nav/ul/li[1]/ul/li[20]/ul/li[3]/ul/li[3]/span/span[3]");
    By clicarServico = By.xpath("/html/body/span/section/section/div[2]/section[1]/div/aside/div[2]/nav/ul/li[1]/ul/li[20]/ul/li[3]/ul/li[3]/ul/li[3]/span/span[2]");
    By msgServico = By.xpath("//header[@class = 'zh-business-color-popup-header']//div[contains(text(),'Filtro')]");
    By msgEsperada = By.xpath("//*[contains(text(),'Unidade: ')]");
    By limpaFiltro = By.xpath("//*[@zh-icon='no-border close-x']");
    By filtroUnidade = By.xpath("//div[@id = 'NMFILIAL']//span[@zh-icon = 'no-border search']");
    By inputUnidade = By.xpath("//*[@id='popup']//input[@type = 'text']");
    By clicaUnidade = By.xpath("//*[@id='grid-9000']/div[2]/div/div/div[1]");

    By btnAplicarFiltro = By.xpath("//section[@class = 'popup-container']//div[@id = 'footer']//span[contains(text(),'Aplicar filtro')]");
    By btnAdicionar = By.xpath("//*[@id='footer']/div[2]/ul/li/a/div");
    By campoCodigoServico = By.xpath("//input[@id ='CDSERVFILI' ]");
    By campoNmServico = By.xpath("//input[@id ='NMSERVICO' ]");
    By nmReduzido = By.xpath("//input[@name = 'NMSERVICOREDU']");
    By nmFantasia = By.xpath("//input[@name = 'NMFANTASSERV']");
    By grupServ = By.xpath("//*[@id='NMGRUPSERV']/span");
    By cdGrupo = By.xpath("//*[@id='grid-9000']/div[2]/div/div[1]/div[1]");
    By comboServico = By.xpath("//div[@data-zh-id= '142611350924182009204304']//*[@tabindex= '0']");
    By tipoServico = By.xpath("//ul[@class = 'list zh-new-select-list']//*[contains(text(),'(Corporativo) Restaurante')]");
    By hrServico = By.xpath("//input[@name = 'HRINICATEN']");
    By hrEntrega = By.xpath("//input[@name = 'HRENTREGA']");
    By hrInicio = By.xpath("//input[@name = 'HRINICSERV']");
    By hrFim = By.xpath("//input[@name = 'HRFINASERV']");

    //Parâmetros Serviço
    By idOtimizador = By.xpath("//label[@for = 'zh-checkbox-IDOTIMIZADOR']");
    By idServicoAtivo = By.xpath("//label[@for = 'zh-checkbox-IDSERVATIV']");
    By idServPrinc = By.xpath("//label[@for = 'zh-checkbox-IDSERVPRINC']");
    By idCardDescentr = By.xpath("//label[@for = 'zh-checkbox-IDCARDDESCENTR']");
    By idUtRetPrat = By.xpath("//label[@for = 'zh-checkbox-IDUTRETIPRAT']");
    By idVlrVarData = By.xpath("//label[@for = 'zh-checkbox-IDVLRVARDATA']");
    By idServFatSep = By.xpath("//label[@for = 'zh-checkbox-IDSERVFATSEP']");
    By idConsComFat = By.xpath("//label[@for = 'zh-checkbox-IDCONSCOMFAT']");
    By idBloqIncProdRetPla = By.xpath("//label[@for = 'zh-checkbox-IDBLOQINCPRODRETIPLA']");
    By idBloqConsFixPer = By.xpath("//label[@for = 'zh-checkbox-IDBLOQCONFIXPER']");
    By msgBloqConsFixPer = By.xpath("//button[@class = 'zh-alert-button horizontal']/span[contains(text(),'Sim')]");
    By idServTran = By.xpath("//label[@for = 'zh-checkbox-IDSERVTRAN']");

    By prodFaturamento = By.xpath("//*[@id='NMPRODUTOFAT']/span");
    By campoProcurar = By.xpath("//*[@id='popup']//input[@type = 'text']");
    By clicaProduto = By.xpath("//*[@id='grid-9000']/div[2]/div/div[1]/div[1]");
    By btnSalvar = By.xpath("//span[contains(text(),'Salvar')]");
    By selecionaServico = By.xpath("//span[contains(text(),'00002')]");
    By configPadrao = By.xpath("//*[contains(text(),'Configuração Padrão')]");
    By tipoPrato01 = By.xpath("//*[@id='grid-14261135092689446004118']/div[2]/div/div[1]/div[1]/span");
    By tipoprato02 = By.xpath("//*[@id='grid-14261135092689446004118']/div[2]/div/div[2]/div[1]/span");
    By tipoprato03 = By.xpath("//*[@id='grid-14261135092689446004118']/div[2]/div/div[3]/div[1]/span");
    By btnMover = By.xpath("//*[@id='footer']/div[2]/ul/li");
    By custoPadrao = By.xpath("//*[contains(text(),'Custo Padrão')]");
    By btnAdicionaCusto = By.xpath("//div[@class = 'zh-footer-center']//li[@class = 'zh-ripple-effect']");
    By valorCustoPadrao = By.xpath("//input[@id = 'VRCUSTPADR']");
    By btnSalvarCusto = By.xpath("//*[@id='footer']/div[3]/ul/li");
    By btnVoltar = By.xpath("//*[contains(text(),'Voltar')]");
    By btnComensais = By.xpath("//*[contains(text(),'Comensais Estimados')]");

    By btnPontoEntrega = By.xpath("//*[contains(text(),'Ponto de Entrega por Cliente')]");
    By btnAddPontoEntrega = By.xpath("//div[@class = 'zh-footer-center']//li[@class = 'zh-ripple-effect']");
    By buscaCliente = By.xpath("//span[@class = 'zh-icon zh-icon-search zh-icon-no-border']");
    By inputCliente = By.xpath("//*[@id='popup']/span/section/section/section/section/div/div[2]/div/div[1]/ul/li[2]/div/div/div/div[3]/input");
    By selecionaCliente = By.xpath("//*[@id='grid-9000']/div[2]/div/div[1]");
    By selecionaPontoEntrega = By.xpath("//div[@id = 'CDDESTFILI']");
    By checkPontoEntrega = By.xpath("//div[@class = 'body-content']//*[@data-zh-field-name='__CHECKBOX']");
    By btnConfirmaPonto = By.xpath("//section[@class = 'popup-container']//div[@id='footer']//*[contains(text(),'Ok')]");
    By btnVoltarInicio = By.xpath("//*[contains(text(),'Voltar')]");

    //Ação aba Faturamento
    By addServFatu = By.xpath("//div[@class = 'zh-footer-center']//*[@class = 'zh-ripple-effect']");
    By filtroServFatu = By.xpath("//div[@id = 'NMSERVICO']//*[@class = 'zh-icon zh-icon-search zh-icon-no-border']");
    By informaServicoPesquisa = By.xpath("//*[@id='popup']//input[@type = 'text']");
    By clicaServFatu = By.xpath("//*[@id='grid-9000']/div[2]/div/div/div[1]");
    By salvaServFatu = By.xpath("//*[contains(text(),'Salvar')]");
    By produtosParaFaturamento = By.xpath("//*[contains(text(),'Produtos para Faturamento')]");
    By addProdFaturamento = By.xpath("//div[@class = 'zh-footer-center']//*[@class = 'zh-ripple-effect']");
    By buscaProdFatu = By.xpath("//div[@id = 'NMPRODUTO']//*[@class = 'zh-icon zh-icon-search zh-icon-no-border']");
    By nomeProdFaturamento = By.xpath("//*[@id='popup']//input[@type = 'text']");
    By btnSalvarAlteracoes = By.xpath("//span[text() = 'Salvar alterações']");
    By valPercentual = By.xpath("//input[@id='VRPERCENTUAL']");
    By btnConfimarProdFatu = By.xpath("//div[@id='footer']//*[text() = 'Confirmar']");

    //Valida se o serviço está cadastrado
    By cadastroComSucesso = By.xpath("//div[@class='body']//span[text() = '00012']");

    //Manutenção Automática Custo Padrão
    By btnManutencaoAutomatica = By.xpath("//span[text() = 'Manutenção Automática']");
    By radioButonValor = By.xpath("//label[@for = 'radio-TIPODEST-V']//div[@class = 'zh-circle mousetrap zh-ripple-effect']");
    By radioButonPercentual = By.xpath("//label[@for = 'radio-TIPODEST-P']//div[@class = 'zh-circle mousetrap zh-ripple-effect']");
    By novoValorManutencaoCusto = By.xpath("//input[@id = 'NOVO_VALOR']");
    By campoAgrupFilialManutencaoCustoPadrao = By.xpath("//div[@id = 'NMGRUPFILI']//span[@zh-icon='no-border search']");
    By limpaAgrupamentoManutencao = By.xpath("//span[@zh-icon ='no-border close-x']");
    By checkBoxTodasUnidadesManutencao = By.xpath("//label[@for = 'zh-checkbox-ALLNMFILIAL']//div[@class = 'zh-box mousetrap zh-ripple-effect']");
    By campoUnidadeManutencaoCustoPadrao = By.xpath("//div[@id = 'NMFILIAL']");
    By marcaUnidadeServicoFiltroManutencao = By.xpath("//div[@id = 'grid-9999']//div[@class = 'header']//div[@data-zh-field-name='__CHECKBOX']");
    By btnOkManutencaoCustoPadrao = By.xpath("//span[text() = 'Ok']");
    By confirmaMensagemAlerta = By.xpath("//*[@class = 'zh-alert-button']");
    By limpaDataInicial = By.xpath("//*[@id= 'DTINIC']//span[@zh-icon='no-border close-x']");
    By limpaDataFinal = By.xpath("//*[@id= 'DTFIN']//span[@zh-icon='no-border close-x']");
    By campoServicoManutencaoCustoPadrao = By.xpath("//div[@id = 'NMSERVICO']");
    By mesUnicialManutencaoCustoPadrao = By.xpath("//div[@id = 'DTINIC']");
    By selecionaMesInicialManutencaoCusto = By.xpath("//*[@class = 'month']//div[text() = 'Abr']");
    By mesFinalManutencaoCustoPadrao = By.xpath("//div[@id = 'DTFIN']");
    By selecionaMesFinalManutencaoCusto = By.xpath("//*[@class = 'month']//div[text() = 'Abr']");
    By selecionaMesInicialAtual = By.xpath("//div[@class = 'month']//div[text() = 'Jul']");
    By selecionaMesFinalAtual = By.xpath("//div[@class = 'month']//div[text() = 'Ago']");
    By limpaFiltroSelecionado = By.xpath("//div[@class = 'control-info']//span[@data-zh-icon='close-x no-border icon-white']");

    By checkBoxServicoPrincipal = By.xpath("//label[@for = 'zh-checkbox-IDSERVPRINC']//div[@class = 'zh-box mousetrap zh-ripple-effect']");
    By acaoManutencaoCustoPadrao = By.xpath("//span[@class = 'current']");
    By btnAlterarManutencaoCusto = By.xpath("//li[text() = 'Alterar']");
    By btnIncluirManutencaoCusto = By.xpath("//li[text() = 'Incluir']");
    By checkBoxSobreporManutencaoCusto = By.xpath("//label[@for = 'zh-checkbox-SOBREPOR']//div[@class = 'zh-box mousetrap zh-ripple-effect']");
    By btnFiltrarManutencaoCustoPadrao = By.xpath("//span[text() = 'Filtrar']");
    By checkBoxTodosServicosManutencao = By.xpath("//label[@for = 'zh-checkbox-ALLNMSERVICO']//div[@class = 'zh-box mousetrap zh-ripple-effect']");
    By selecionaServicoManutencaoCusto = By.xpath("//div[@id = 'grid-1340820356232431010116']//div[@class = 'header']//div[@data-zh-field-name='__CHECKBOX']");
    By excluirCustoPadrao = By.xpath("//li[@data-zh-id='13408203561689583503138']");
    By novoFiltroManucentao = By.xpath("//li[@data-zh-id='13408203563122642197484']");
    By clicaNovoValorServico_1 = By.xpath("//div[@id='grid-1340820356232431010116']/div[2]/div/div[1]/div[8]/div");
    By insereNovoValorServico_1 = By.xpath("//*[@id='grid-1340820356232431010116']/div[2]/div/div[1]/div[8]/div/input");
    By clicaNovoValorServico_2 = By.xpath("//*[@id='grid-1340820356232431010116']/div[2]/div/div[3]/div[8]/div");
    By insereNovoValorServico_2 = By.xpath("//*[@id='grid-1340820356232431010116']/div[2]/div/div[3]/div[8]/div/input");
    By clicaServicoExclusao_1 = By.xpath("//*[@id='grid-1340820356232431010116']/div[2]/div/div[4]/div[1]");
    By clicaServicoExclusao_2 = By.xpath("//*[@id='grid-1340820356232431010116']/div[2]/div/div[6]/div[1]");

    //comensais do serviço
    By QTCOMESTISEG = By.xpath("//*[@id='grid-142611350912285308094180']/div[2]/div/div[1]/div[2]/div");
    By QTCOMESTITER = By.xpath("//*[@id='grid-142611350912285308094180']/div[2]/div/div[2]/div[2]");
    By QTCOMESTIQUA = By.xpath("//*[@id='grid-142611350912285308094180']/div[2]/div/div[3]/div[2]");
    By QTCOMESTIQUI = By.xpath("//*[@id='grid-142611350912285308094180']/div[2]/div/div[4]/div[2]");
    By QTCOMESTISEX = By.xpath("//*[@id='grid-142611350912285308094180']/div[2]/div/div[5]/div[2]");
    By salvaComensais = By.xpath("//div[@class = 'zh-footer-right']/ul/li");

    //comensais ponto de entrega
    By QTCOESTCSSEG = By.xpath("//input[@id = 'QTCOESTCSSEG']");
    By QTCOESTCSTER = By.xpath("//input[@id = 'QTCOESTCSTER']");
    By QTCOESTCSQUA = By.xpath("//input[@id = 'QTCOESTCSQUA']");
    By QTCOESTCSQUI = By.xpath("//input[@id = 'QTCOESTCSQUI']");
    By QTCOESTCSSEX = By.xpath("//input[@id = 'QTCOESTCSSEX']");
    By btnSalvaComensal = By.xpath("//li[@data-zh-id='142611350938497338184245']");

    By btnFaturamento = By.xpath("//a[contains(text(),'Faturamento')]");
    By btnAplicativos = By.xpath("//a[contains(text(),'Aplicativo')]");
    By btnEmbalagem = By.xpath("//a[contains(text(),'Embalagens')]");

    By filtroPontoEntrega = By.xpath("//div[@name = 'NMDESTFILI']//span[@zh-icon = 'no-border search']");
    By informaBusca = By.xpath("//*[@id='popup']//input[@type = 'text']");
  //  By mPontoEntrega = By.xpath("//div[@data-zh-field-name='NMRAZSOCCLIE']//span[text() = 'DROGARIA FIBERSAL LTDA']");
    By nmPontoEntrega = By.xpath("//*[@id='grid-9000']/div[2]//div[@class = 'tr cell1']");
    By addEmbagalagens = By.xpath("//li[@data-zh-id='14261135092857170480870']");
    By buscaEmbalagem = By.xpath("//div[@name= 'NMCONTAINER']//span[@zh-icon= 'no-border search']");
    By selecionaEmbalagem = By.xpath("//*[@id='grid-9000']/div[2]/div/div[1]/div[1]");
    By tipoPrato = By.xpath("//*[@id = 'NMTIPOPRAT']");
    By minimizaCampoBusca = By.xpath("//*[@class = 'float-action expandable fix-position-bottom opened']//span[@class = 'action-icon search-action-icon zh-icon zh-icon-search zh-icon-no-border zh-icon-color-white']");
    By idPrato1 = By.xpath("//*[@id='grid-9999']/div[2]/div/div[1]/div[1]/span");
    By idPrato2 = By.xpath("//*[@id='grid-9999']/div[2]/div/div[2]/div[1]/span");
    By idprato3 = By.xpath("//*[@id='grid-9999']/div[2]/div/div[3]/div[1]/span");
    By idPratoSalada = By.xpath("//*[@id='grid-9999']/div[2]/div/div[1]/div[1]/span");

    By clicaServico = By.xpath("//div[@id= 'grid-14261135092187452014044']//span[text() = '00012']");
    By clicaScroll = By.xpath("//div[@class = 'zh-tab-wrapper']//span[@class = 'icon-scroll-right zh-icon zh-icon-forward zh-icon-no-border']");
    By btnConfirmaEmba = By.xpath("//*[@id='footer']/div[3]/ul/li");
    By btnSalvarEmbalagem = By.xpath("//div[@id = 'footer']//div[@class = 'zh-footer-right']");

    // Exportar Comensais
    By btnExportar = By.xpath("//li[@data-zh-id='1426113509158561807861']");
 //   By btnCalendario = By.xpath("//div[@id= 'PERIODO']");
    By dtInicial = By.xpath("//input[@id= 'PERIODO_START']");
    By dtFinal = By.xpath("//input[@id= 'PERIODO_END']");
    By confirPeriodo = By.xpath("//footer//div[@id= 'footer']//span[text() = 'OK']");
    By checkBoxInsereComensaisSemPrato = By.xpath("//label[@for='zh-checkbox-IDINSERIR']//div[@class = 'zh-box mousetrap zh-ripple-effect']");
    By btnExportaComen = By.xpath("//section[@class='popup-container']//div[@class='zh-footer-right']//li[@data-zh-id='14261135093388478888870']");
    By btnCancelar = By.xpath("//section[@class='popup-container']//div[@class='zh-footer-left']//li[@data-zh-id='14261135091750524679872']");

    //Importar Embalagens
    By importaEmbalagem = By.xpath("//span[text() = 'Importar Embalagens']");
    By filtraUnidade = By.xpath("//div[@data-zh-id='142611350922016638141214']//span[@zh-icon='no-border search']");
    By buscaServico = By.xpath("//div[@data-zh-id='142611350941176616811218']//span[@zh-icon='no-border search']");
    By selecionaBusca = By.xpath("//*[@id='grid-9000']/div[2]/div/div[1]/div[1]/span");
    By marcaServico = By.xpath("//div[@id = 'grid-9000']//span[text() = '00002']");
    By clicaEmbalagem = By.xpath("//div[@id= 'grid-1426113509329969923789']//div[@class = 'tr cell1']");
    By clicaEmbalagem02 = By.xpath("//div[@id= 'grid-1426113509329969923789']//div[@class = 'tr cell2']");
    By nmDestFiliOri = By.xpath("//div[@name = 'NMDESTFILIORI']//span[@zh-icon = 'no-border search']");
    By botaoCancelar = By.xpath("//span[text() = 'Cancelar']");

    //Exporta Embalagem
    By btnAcoes = By.xpath("//*[@id='footer']/div[3]/ul/li");
    By exportaEmbalagem = By.xpath("//span[text() = 'Exportar Embalagens']");
    By filtroFilial = By.xpath("//div[@data-zh-id='142611350921168531221227']//span[@zh-icon='no-border search']");
    By campoServico = By.xpath("//div[@id= 'NMSERVFILIDEST']");
    By defineServico = By.xpath("//*[@id='grid-9999']/div[2]/div/div[1]/div[1]/span");
    By pontoEntregaDest = By.xpath("//div[@id = 'NMDESTFILIDEST']");
    By btnOk = By.xpath("//*[@class = 'popup-container']//span[text() = 'Ok']");
    By btnConfirmar = By.xpath("//span[text() = 'Confirmar']");
    By msgEsperadaExportacaoEmbalagem = By.xpath("//*[text() = 'DISTRIBUIÇÃO AUTOMÁTICA RECURSIVA']");


    By limpaFiltroTela = By.xpath("//div[@class = 'zh-footer-center']//li[@class = 'zh-ripple-effect']");
    By btnFiltro = By.xpath("//span[@data-zh-icon='filter no-border icon-white']");
    By servicoDestino = By.xpath("//div[@id= 'grid-14261135092187452014044']//span[text() = '00001']");
    By nmDestFiliDest = By.xpath("//div[@name = 'NMDESTFILIDEST']");
    By marcaPontoEntrega = By.xpath("//div[@class= 'tr cell1']//span[@data-ng-if='!row.__group']");

    // Apaga Embalagem
    By marcarEmbalagem = By.xpath("//*[@id='grid-1426113509329969923789']/div[2]/div/div[1]/div[1]/span");
    By marcarEmbalagem01 = By.xpath("//*[@id='grid-1426113509329969923789']/div[2]/div/div[2]/div[1]/span");
    By btnExcluirEmbalagem = By.xpath("//li[@data-zh-id='1426113509360889069876']");
    By confirmaMensagem = By.xpath("//footer[@class = 'zh-footer-alert']//span[text() = 'Sim']");
    By validaExclusao = By.xpath("//p[text() = 'Não há registros']");

    //Altera comensais ponto de entrega
    By clicaPontoEntrega = By.xpath("//div[@id= 'grid-14261135099361095814194']//div[@class = 'tr cell1']");
    By pontosDeEntrega = By.xpath("//a[text() = 'Pontos de Entrega']");
    By qtComSeg = By.xpath("//*[@id='grid-142611350933280525974195']/div[2]/div/div/div[2]/div");
    By inputComSeg = By.xpath("//*[@id='grid-142611350933280525974195']/div[2]/div/div/div[2]/div/input");
    By qtComTer = By.xpath("//*[@id='grid-142611350933280525974195']/div[2]/div/div/div[3]");
    By inputComTer = By.xpath("//*[@id='grid-142611350933280525974195']/div[2]/div/div/div[3]/div/input");
    By qtComQuart = By.xpath("//*[@id='grid-142611350933280525974195']/div[2]/div/div/div[4]/div");
    By inputComQuart = By.xpath("//*[@id='grid-142611350933280525974195']/div[2]/div/div/div[4]/div/input");
    By qtComQuint = By.xpath("//*[@id='grid-142611350933280525974195']/div[2]/div/div/div[5]/div");
    By inputComQuint = By.xpath("//*[@id='grid-142611350933280525974195']/div[2]/div/div/div[5]/div/input");
    By qtComSex = By.xpath("//*[@id='grid-142611350933280525974195']/div[2]/div/div/div[6]/div");
    By inputComSex = By.xpath("//*[@id='grid-142611350933280525974195']/div[2]/div/div/div[6]/div/input");
    By qtComSab = By.xpath("//*[@id='grid-142611350933280525974195']/div[2]/div/div/div[7]/div");
    By inputComSab = By.xpath("//*[@id='grid-142611350933280525974195']/div[2]/div/div/div[7]/div/input");
    By qtComDom = By.xpath("//*[@id='grid-142611350933280525974195']/div[2]/div/div/div[7]/div");
    By inputComDom = By.xpath("//*[@id='grid-142611350933280525974195']/div[2]/div/div/div[7]/div/input");
    By qtComFeri = By.xpath("//*[@id='grid-142611350933280525974195']/div[2]/div/div/div[9]/div");
    By inputComFeri = By.xpath("//*[@id='grid-142611350933280525974195']/div[2]/div/div/div[9]/div/input");

    By btnSalvaAlteracao = By.xpath("//span[text() = 'Salvar alterações']");

    //Botão exclusão ponto entrega
    By btnExcluiPontoEntrega = By.xpath("//li[@data-zh-id='142611350929387074164241']");

    //Cadastra Turno
    By turnoComensais = By.xpath("//*[contains(text(),'Turnos e Comensais')]");
    By addTurno = By.xpath("//li[@data-zh-id='142611350929440953144166']");
    By nmTurno = By.xpath("//input[@id = 'NMTURNO1']");
    By qtdTurnoSegunda = By.xpath("//input[@id = 'QTCOMESTTSEG1']");
    By qtdTurnoTerca = By.xpath("//input[@id = 'QTCOMESTTTER1']");
    By qtdTurnoQuarta = By.xpath("//input[@id = 'QTCOMESTTQUA1']");
    By qtdTurnoQuinta = By.xpath("//input[@id = 'QTCOMESTTQUI1']");
    By qtdTurnoSexta = By.xpath("//input[@id = 'QTCOMESTTSEX1']");
    By nmSeguntoTuno = By.xpath("//input[@id = 'NMTURNO2']");
    By qtComeSegunda = By.xpath("//input[@id = 'QTCOMESTTSEG2']");
    By qtComeTerca = By.xpath("//input[@id = 'QTCOMESTTTER2']");
    By qtComeQuarta = By.xpath("//input[@id = 'QTCOMESTTQUA2']");
    By qtComeQuinta = By.xpath("//input[@id = 'QTCOMESTTQUI2']");
    By qtComeSexta = By.xpath("//input[@id = 'QTCOMESTTSEX2']");
    By salvarTurno = By.xpath("//li[@data-zh-id='142611350933124534244152']");

    //Altera Comensais Turno
    By segundaPrimeioTurno = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[1]/div[3]/div");
    By tercaPrimeioTurno = By.xpath("//div[@class = 'tr cell1 row-editing currentRow']//div[@data-zh-field-name='QTCOMESTTTER']//div[@class = 'editable-content']");
    By quartaPrimeioTurno = By.xpath("//div[@class = 'tr cell1 row-editing currentRow']//div[@data-zh-field-name='QTCOMESTTQUA']//div[@class = 'editable-content']");
    By quintaPrimeioTurno = By.xpath("//div[@class = 'tr cell1 row-editing currentRow']//div[@data-zh-field-name='QTCOMESTTQUI']//div[@class = 'editable-content']");
    By sextaPrimeioTurno = By.xpath("//div[@class = 'tr cell1 row-editing currentRow']//div[@data-zh-field-name='QTCOMESTTSEX']//div[@class = 'editable-content']");
    By sabadoPrimeioTurno = By.xpath("//div[@class = 'tr cell1 row-editing currentRow']//div[@data-zh-field-name='QTCOMESTTSAB']//div[@class = 'editable-content']");
    By domingoPrimeioTurno = By.xpath("//div[@class = 'tr cell1 row-editing currentRow']//div[@data-zh-field-name='QTCOMESTTDOM']//div[@class = 'editable-content']");
    By feriadoPrimeioTurno = By.xpath("//div[@class = 'tr cell1 row-editing currentRow']//div[@data-zh-field-name='QTCOMESTTFER']//div[@class = 'editable-content']");

    By segundaSegundoTurno = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[2]/div[3]/div");
    By tercaSegundoTurno = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[2]/div[4]/div");
    By quartaSegundoTurno = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[2]/div[5]/div");
    By quintaSegundoTurno = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[2]/div[6]/div");
    By sextaSegundoTurno = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[2]/div[7]/div");
    By sabadoSegundoTurno = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[2]/div[8]/div");
    By domingoSegundoTurno = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[2]/div[9]/div");
    By feriadoSegundoTurno = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[2]/div[10]/div");

    //Apagando Turno

    By primeiroTurno = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[1]/div[1]");
    By segundoTurno = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[2]/div[1]");
    By excluirTurno = By.xpath("//li[@data-zh-id='142611350921584524524172']");


    By qtdSegunda = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[1]/div[3]/div/input");
    By qtdTerca = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[1]/div[4]/div/input");
    By qtdQuarta = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[1]/div[5]/div/input");
    By qtdQuinta = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[1]/div[6]/div/input");
    By qtdSexta = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[1]/div[7]/div/input");
    By qtdSegunda2 = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[2]/div[3]/div/input");
    By qtdTerça2 = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[2]/div[4]/div/input");
    By qtdQuarta2 = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[2]/div[5]/div/input");
    By qtdQuinta2 = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[2]/div[6]/div/input");
    By qtdSexta2 = By.xpath("//*[@id='grid-142611350927812884014128']/div[2]/div/div[2]/div[7]/div/input");

    //Alterando/Apagando Produto de Faturamento

    By clicaPercentualProd1 = By.xpath("//div[@class = 'tr cell1']//div[@class = 'editable-content']");
    By clicaPercentualProd2 = By.xpath("//div[@class = 'tr cell2']//div[@class = 'editable-content']");
    By novoValorPercentualProd1 = By.xpath("//*[@id='grid-14261135093177801644268']/div[2]/div/div[1]/div[4]/div/input");
    By novoValorPercentualProd2 = By.xpath("//*[@id='grid-14261135093177801644268']/div[2]/div/div[2]/div[4]/div/input");
    By botaoOk = By.xpath("//section[@class = 'zh-container-alert']//span[text() = 'OK']");

    By checkBoxServicoFaturamento = By.xpath("//*[@id='grid-14261135093940521174250']/div[2]/div/div/div[1]");
    By botaoExcluirServicoFatu = By.xpath("//li[@data-zh-id='142611350932168715274261']");
    By selcionaProduto2 = By.xpath("//*[@id='grid-14261135093177801644268']/div[2]/div/div[2]/div[1]");
    By selecionaProduto1 = By.xpath("//*[@id='grid-14261135093177801644268']/div[2]/div/div/div[1]");
    By botaoExcluirProdutoFat = By.xpath("//li[@data-zh-id='142611350914689836384289']");

    //Valida Exclusões
    By validaExclusaoTurno = By.xpath("//p[text() = 'Não há registros']");

    //Valida Alteração Produto Faturamento
    By novoProdutoFaturamento = By.xpath("//span[text() = 'OLEO DE CASTANHA DO BRASIL EMBALAGEM 1 LITRO']");

    public void ClicarMenu(){
        waitForElement(ClicaMenu);
        tempo();
        waitForElement(usernameLoginInfoTextArea);
        tempo();
        click(ClicaMenu);
        tempo();
        click(clicarBotaoParametrizacao);
        tempo();
        click(clicarBotaoPlanejamento);
        tempo();
        click(clicarBotaoServico);
        tempo();

    }

    public void realizarFiltro(String unidade){
        click(clicarServico);
        tempo();
        waitForElement(msgServico);
        tempo();
        click(limpaFiltro);
        click(filtroUnidade);
        tempo();
        click(inputUnidade);
        tempo();
        sendKeys(inputUnidade,unidade);
        tempo();
        click(clicaUnidade);
        tempo();
        click(btnAplicarFiltro);
        tempo();
        waitForElement(msgEsperada);
        tempo();

    }

    //Realiza o cadastro do serviço marcando os principais parâmetros
    public void insereInformacoes(String codigo, String nmservico, String nomeReduzido, String nomeFantasia, String horaPreparo){
        click(btnAdicionar);
        click(campoCodigoServico);
        sendKeys(campoCodigoServico, codigo);
        tempo();
        click(campoNmServico);
        sendKeys(campoNmServico, nmservico);
        tempo();
        click(nmReduzido);
        sendKeys(nmReduzido, nomeReduzido);
        tempo();
        click(nmFantasia);
        sendKeys(nmFantasia, nomeFantasia);
        tempo();
        click(grupServ);
        click(cdGrupo);
        click(comboServico);
        click(tipoServico);
        tempo();
        click(hrServico);
        tempo();
        sendKeys(hrServico, horaPreparo);
        tempo();
        ScrollToTop();
        tempo();
    }

    public void marcaParametrosServico(){
        click(idOtimizador);
        click(idServicoAtivo);
        click(idServPrinc);
        click(idServTran);
     //   click(idBloqConsFixPer);
     //   click(msgBloqConsFixPer);
        click(idUtRetPrat);
        click(idVlrVarData);
        click(idServFatSep);
        click(idConsComFat);
        click(idBloqIncProdRetPla);
        tempo();

    }

    public void informaProdutoFatu(String nomeProduto){
        click(prodFaturamento);
        tempo();
        click(campoProcurar);
        tempo();
        sendKeys(campoProcurar, nomeProduto);
        tempo();
        click(clicaProduto);
        tempo();
        click(btnSalvar);
        tempo();
    }

    //Realiza a configuração do cardápio
    public void configuraCardapio(){
        click(configPadrao);
        tempo();
        click(tipoPrato01);
        tempo();
        click(tipoprato02);
        tempo();
        click(tipoprato03);
        tempo();
        click(btnMover);
    }

    //Informa o custo padrão
    public void custoPadrao(String valor){
        int i = 0;
        while (i < 3) {
            click(custoPadrao);
            tempo();
            click(btnAdicionaCusto);
            tempo();
            click(valorCustoPadrao);
            tempo();
            sendKeys(valorCustoPadrao, valor);
            tempo();
            click(btnSalvarCusto);
            tempo();
            click(btnVoltar);
            tempo();
            i++;
        }
        tempo();

    }

    public void manutencaoCustoPadrao(){
        click(clicaServico);
        tempo();
        click(custoPadrao);
        tempo();
        click(btnManutencaoAutomatica);
        tempo();
        click(campoAgrupFilialManutencaoCustoPadrao);
        tempo();
        click(informaBusca);
        clearAndSendKeys(informaBusca,"0000000002");
        tempo();
        click(selecionaBusca);
        click(checkBoxTodasUnidadesManutencao);
        click(campoUnidadeManutencaoCustoPadrao);
        tempo();
        click(informaBusca);
        clearAndSendKeys(informaBusca,"0002");
        tempo();
        click(marcaUnidadeServicoFiltroManutencao);
        click(btnOkManutencaoCustoPadrao);
        tempo();
        click(checkBoxTodosServicosManutencao);
        click(campoServicoManutencaoCustoPadrao);
        tempo();
        click(informaBusca);
        clearAndSendKeys(informaBusca,"00012");
        tempo();
        click(marcaUnidadeServicoFiltroManutencao);
        click(btnOkManutencaoCustoPadrao);
        tempo();
        click(mesUnicialManutencaoCustoPadrao);
        tempo();
        click(selecionaMesInicialManutencaoCusto);
        tempo();
        click(mesFinalManutencaoCustoPadrao);
        tempo();
        click(selecionaMesFinalManutencaoCusto);
        tempo();
        click(btnFiltrarManutencaoCustoPadrao);
        tempo();
        click(confirmaMensagemAlerta);
        tempo();
        click(limpaDataInicial);
        click(mesUnicialManutencaoCustoPadrao);
        tempo();
        click(selecionaMesInicialAtual);
        tempo();
        click(limpaDataFinal);
        click(mesFinalManutencaoCustoPadrao);
        tempo();
        click(selecionaMesFinalAtual);
        tempo();
        click(btnFiltrarManutencaoCustoPadrao);
        tempo();
        click(radioButonPercentual);
        click(novoValorManutencaoCusto);
        clearAndSendKeys(novoValorManutencaoCusto,"10");
        click(selecionaServicoManutencaoCusto);
        tempo();
        click(confirmaMensagem);
        tempo();
        click(btnSalvarAlteracoes);
        tempo();
        click(confirmaMensagem);
        tempo();
        click(radioButonValor);
        click(novoValorManutencaoCusto);
        clearAndSendKeys(novoValorManutencaoCusto,"1,50");
        click(selecionaServicoManutencaoCusto);
        tempo();
        click(btnSalvarAlteracoes);
        tempo();
        click(confirmaMensagem);
        tempo();
        click(novoFiltroManucentao);
        tempo();
        click(limpaAgrupamentoManutencao);
        tempo();
        click(checkBoxTodasUnidadesManutencao);
        click(checkBoxTodosServicosManutencao);
        click(checkBoxServicoPrincipal);
        click(acaoManutencaoCustoPadrao);
        tempo();
        click(btnIncluirManutencaoCusto);
        tempo();
        duploClique(checkBoxSobreporManutencaoCusto);
        tempo();
        click(btnFiltrarManutencaoCustoPadrao);
        tempo();
        click(novoValorManutencaoCusto);
        clearAndSendKeys(novoValorManutencaoCusto,"2,30");
        click(selecionaServicoManutencaoCusto);
        tempo();
        click(btnSalvarAlteracoes);
        tempo();
        click(confirmaMensagem);
        tempo();
        click(radioButonPercentual);
        click(novoValorManutencaoCusto);
        clearAndSendKeys(novoValorManutencaoCusto,"20");
        click(selecionaServicoManutencaoCusto);
        tempo();
        click(btnSalvarAlteracoes);
        tempo();
        click(confirmaMensagem);
        tempo();
        click(novoFiltroManucentao);
        tempo();
        click(checkBoxServicoPrincipal);
        tempo();
        click(acaoManutencaoCustoPadrao);
        tempo();
        click(btnAlterarManutencaoCusto);
        click(btnFiltrarManutencaoCustoPadrao);
        tempo();
        click(clicaNovoValorServico_1);
        clearAndSendKeys(insereNovoValorServico_1,"3,50");
        click(clicaNovoValorServico_2);
        clearAndSendKeys(insereNovoValorServico_2,"4,20");
        tempo();
        click(btnSalvarAlteracoes);
        tempo();
        click(confirmaMensagem);
        tempo();
        click(clicaServicoExclusao_1);
        click(clicaServicoExclusao_2);
        tempo();
        click(excluirCustoPadrao);
        tempo();
        click(confirmaMensagem);
        tempo();
        click(limpaFiltroSelecionado);
        tempo();
        click(novoFiltroManucentao);
        tempo();
        click(acaoManutencaoCustoPadrao);
        tempo();
        click(btnIncluirManutencaoCusto);
        tempo();
        click(btnFiltrarManutencaoCustoPadrao);
        tempo();
        click(novoValorManutencaoCusto);
        clearAndSendKeys(novoValorManutencaoCusto,"10");
        click(selecionaServicoManutencaoCusto);
        tempo();
        tempo();
        click(btnSalvarAlteracoes);
        tempo();
        click(confirmaMensagem);
        tempo();
    }


    //informa os comensais do serviço
    public void informaComensais(String QTSEG, String QTTER, String QTQUA, String QTQUIN, String QTSEX){
        click(btnComensais);
        tempo();
        click(QTCOMESTISEG);
        tempo();
        informaComensais(QTCOMESTISEG,QTSEG);
        tempo();
        informaComensais(QTCOMESTITER,QTTER);
        tempo();
        informaComensais(QTCOMESTIQUA,QTQUA);
        tempo();
        informaComensais(QTCOMESTIQUI,QTQUIN);
        tempo();
        informaComensais(QTCOMESTISEX,QTSEX);
        tempo();
        click(salvaComensais);
        tempo();

    }



    public void cadastraTurno(String NMTURNO1, String QTDSEG, String QTDTER, String QTDQUAR, String QTDQUIN, String QTDSEXT,
                              String NMTURNO2, String QTDSEG2, String QTDTER2, String QTDQUAR2, String QTDQUIN2, String QTDSEXT2){
        click(clicaServico);
        tempo();
        click(turnoComensais);
        tempo();
        click(addTurno);
        tempo();
        click(nmTurno);
        tempo();
        clearAndSendKeys(nmTurno, NMTURNO1);
        tempo();
        click(qtdTurnoSegunda);
        tempo();
        clearAndSendKeys(qtdTurnoSegunda,QTDSEG);
        click(qtdTurnoTerca);
        clearAndSendKeys(qtdTurnoTerca, QTDTER);
        click(qtdTurnoQuarta);
        clearAndSendKeys(qtdTurnoQuarta,QTDQUAR);
        click(qtdTurnoQuinta);
        clearAndSendKeys(qtdTurnoQuinta,QTDQUIN);
        click(qtdTurnoSexta);
        clearAndSendKeys(qtdTurnoSexta,QTDSEXT);
        click(nmSeguntoTuno);
        clearAndSendKeys(nmSeguntoTuno, NMTURNO2);
        click(qtComeSegunda);
        clearAndSendKeys(qtComeSegunda, QTDSEG2);
        click(qtComeTerca);
        clearAndSendKeys(qtComeTerca,QTDTER2);
        click(qtComeQuarta);
        clearAndSendKeys(qtComeQuarta,QTDQUAR2);
        click(qtComeQuinta);
        clearAndSendKeys(qtComeQuinta, QTDQUIN2);
        click(qtComeSexta);
        clearAndSendKeys(qtComeSexta,QTDSEXT2);
        click(salvarTurno);
        tempo();

    }

    public void alteraComensaisTurno( String QTDSEG, String QTDTER, String QTDQUAR, String QTDQUIN, String QTDSEXT,
                                      String QTDSEG2, String QTDTER2, String QTDQUAR2, String QTDQUIN2, String QTDSEXT2){

        click(clicaServico);
        tempo();
        click(turnoComensais);
        tempo();
        click(segundaPrimeioTurno);
        tempo();
        clearAndSendKeys(qtdSegunda ,QTDSEG);
        click(tercaPrimeioTurno);
        clearAndSendKeys(qtdTerca, QTDTER);
        click(quartaPrimeioTurno);
        clearAndSendKeys(qtdQuarta,QTDQUAR);
        click(quintaPrimeioTurno);
        clearAndSendKeys(qtdQuinta,QTDQUIN);
        click(sextaPrimeioTurno);
        clearAndSendKeys(qtdSexta,QTDSEXT);
        click(segundaSegundoTurno);
        clearAndSendKeys(qtdSegunda2, QTDSEG2);
        click(tercaSegundoTurno);
        clearAndSendKeys(qtdTerça2,QTDTER2);
        click(quartaSegundoTurno);
        clearAndSendKeys(qtdQuarta2,QTDQUAR2);
        click(quintaSegundoTurno);
        clearAndSendKeys(qtdQuinta2, QTDQUIN2);
        click(sextaSegundoTurno);
        clearAndSendKeys(qtdSexta2,QTDSEXT2);
        click(btnSalvarAlteracoes);
        tempo();
        click(confirmaMensagem);
        tempo();

    }

    //Apagando Turno

    public void excluirTurno(){
        click(clicaServico);
        tempo();
        click(turnoComensais);
        tempo();
        click(segundoTurno);
        tempo();
        click(excluirTurno);
        tempo();
        click(confirmaMensagem);
        tempo();

    }

    //Seleciona o cliente e o ponto de entrega
    public void pontoDeEntrega(String NMCLIENTE){
        click(btnPontoEntrega);
        tempo();
        click(btnAddPontoEntrega);
        tempo();
        click(buscaCliente);
        tempo();
        sendKeys(inputCliente,NMCLIENTE);
        //Aguarda o cliente informado carregar no filtro
       tempo();
        click(selecionaCliente);
        tempo();
        click(selecionaPontoEntrega);
        tempo();
        click(checkPontoEntrega);
        tempo();
        click(btnConfirmaPonto);
        tempo();

    }

    public void cadastroPontoEntrega(String NMCLIENTE){
        click(clicaServico);
        tempo();
        click(btnPontoEntrega);
        tempo();
        click(btnAddPontoEntrega);
        tempo();
        click(buscaCliente);
        tempo();
        sendKeys(inputCliente,NMCLIENTE);
        //Aguarda o cliente informado carregar no filtro
        tempo();
        click(selecionaCliente);
        tempo();
        click(selecionaPontoEntrega);
        tempo();
        click(checkPontoEntrega);
        tempo();
        click(btnConfirmaPonto);
        tempo();
    }

    public void apagaPontoEntrega(){
        click(clicaServico);
        tempo();
        click(btnPontoEntrega);
        tempo();
        click(clicaPontoEntrega);
        tempo();
        click(btnExcluiPontoEntrega);
        tempo();
        click(confirmaMensagem);
        tempo();
    }

    //insere comensais no ponto de entrega e salva as informações
    public void comensaisPontoEntrega(String QTDCOESTCSSEG, String QTDCOMESTITER, String QTDCOMESTIQUA, String QTDCOESTCSQUI, String QTDCOMESTISEX){
       informaComensais(QTCOESTCSSEG,QTDCOESTCSSEG);
       informaComensais(QTCOESTCSTER,QTDCOMESTITER);
       informaComensais(QTCOESTCSQUA,QTDCOMESTIQUA);
       informaComensais(QTCOESTCSQUI,QTDCOESTCSQUI);
       informaComensais(QTCOESTCSSEX,QTDCOMESTISEX);
       click(btnSalvaComensal);
        tempo();
       click(btnVoltar);
        tempo();
    }

    //Define serviço de faturamento
    public void abaFaturamento(String NMSERVICO, String NMPRODUTOFATU, String VALPERCENTUAL){
        click(btnFaturamento);
        tempo();
        click(addServFatu);
        tempo();
        click(filtroServFatu);
        tempo();
        click(informaServicoPesquisa);
        tempo();
        sendKeys(informaServicoPesquisa,NMSERVICO);
        //Aguarda o serviço informado carregar no filtro
        tempo();
        click(clicaServFatu);
        tempo();
        click(salvaServFatu);
        tempo();
        click(produtosParaFaturamento);
        tempo();
        click(addProdFaturamento);
        tempo();
        click(buscaProdFatu);
        tempo();
        click(nomeProdFaturamento);
        tempo();
        sendKeys(nomeProdFaturamento, NMPRODUTOFATU);
        tempo();
        click(clicaProduto);
        tempo();
        click(valPercentual);
        tempo();
        sendKeys(valPercentual, VALPERCENTUAL);
        tempo();
        click(btnConfimarProdFatu);
        tempo();
        click(btnSalvarAlteracoes);
        tempo();

    }

    public void abaAplicativos(){
        click(btnAplicativos);
    }

    public void abaEmbalagens(String NMPONTOENTREGA, String NMEMBALAGEM){
        tempo();
        click(btnVoltarInicio);
        tempo();
        click(clicaServico);
        tempo();
        click(clicaScroll);
        tempo();
        click(clicaScroll);
        tempo();
        click(btnEmbalagem);
        tempo();
        click(filtroPontoEntrega);
        tempo();
        click(informaBusca);
        tempo();
        sendKeys(informaBusca, NMPONTOENTREGA);
        tempo();
        click(nmPontoEntrega);
        tempo();
        click(addEmbagalagens );
        tempo();
        click(buscaEmbalagem);
        tempo();
        click(informaBusca);
        tempo();
        sendKeys(informaBusca, NMEMBALAGEM);
        tempo();
        click(selecionaEmbalagem );
        tempo();
        click(tipoPrato );
        tempo();
        click(minimizaCampoBusca );
        tempo();
        click(idPrato1);
        tempo();
        click(idPrato2);
        tempo();
        click(idprato3);
        tempo();
        click(btnConfirmaEmba);
        tempo();
        click(btnSalvarEmbalagem);
        tempo();

    }

    public String validaCadastroServico(){
        click(btnVoltarInicio);
        tempo();
        return getText(cadastroComSucesso);
    }


    // Exporta Comensais
    public void exportaComensais(String DTINICIAL, String DTFINAL){
        tempo();
        click(clicaServico);
        tempo();
        click(btnComensais);
        tempo();
        click(btnExportar);
        tempo();
        preencheData(DTINICIAL, DTFINAL, dtInicial, dtFinal);
        tempo();
        click(btnExportaComen);
        tempo();
        click(checkBoxInsereComensaisSemPrato);
        tempo();
        click(btnExportaComen);
        tempo();
        click(btnCancelar);
        tempo();
        click(btnVoltarInicio);
        tempo();
    }

    public void alteraComensaisCliente(String QTSEG, String QTTER, String QTQUAR,
                                       String QTQUIN, String QTSEX){
        click(clicaServico);
        tempo();
        click(btnPontoEntrega);
        tempo();
        click(clicaPontoEntrega);
        tempo();
        click(pontosDeEntrega);
        tempo();
        click(qtComSeg);
        clearAndSendKeys(inputComSeg, QTSEG);
        click(qtComTer);
        clearAndSendKeys(inputComTer,QTTER);
        click(qtComQuart);
        clearAndSendKeys(inputComQuart, QTQUAR);
        click(qtComQuint);
        clearAndSendKeys(inputComQuint,QTQUIN);
        click(qtComSex);
        clearAndSendKeys(inputComSex,QTSEX);
        click(btnSalvaAlteracao);
        click(btnSalvaAlteracao);
        click(confirmaMensagem);
        tempo();
        click(btnVoltarInicio);
        tempo();
    }

    public void cadastroEmbalagem(String NMEMBALAGEM, String NMEMBALAGEM_1){
        click(clicaServico);
        click(clicaScroll);
        click(clicaScroll);
        click(btnEmbalagem);
        click(addEmbagalagens );
        click(buscaEmbalagem);
        click(informaBusca);
        sendKeys(informaBusca, NMEMBALAGEM);
        tempo();
        click(selecionaEmbalagem );
        tempo();
        click(tipoPrato );
        click(minimizaCampoBusca );
        click(idPrato1);
        tempo();
        click(idPrato2);
        tempo();
        click(btnConfirmaEmba);
        click(btnSalvarEmbalagem);
        click(clicaEmbalagem);
        tempo();
        click(btnVoltar);
        click(addEmbagalagens);
        click(buscaEmbalagem);
        click(informaBusca);
        sendKeys(informaBusca, NMEMBALAGEM_1);
        tempo();
        click(selecionaEmbalagem );
        tempo();
        click(tipoPrato );
        click(minimizaCampoBusca );
        click(idPratoSalada);
        click(btnConfirmaEmba);
        click(btnSalvarEmbalagem);
        click(clicaEmbalagem02);
        tempo();
        for (int i = 0; i < 2; i++) {
            click(btnVoltarInicio);
        }
        tempo();
    }

    public void exportarEmbalagem(String CDFILIAL){
        click(clicaServico);
        click(clicaScroll);
        click(clicaScroll);
        click(btnEmbalagem);
        click(btnAcoes);
        click(exportaEmbalagem);
        tempo();
        click(filtroFilial);
        tempo();
        click(informaBusca);
        tempo();
        sendKeys(informaBusca, CDFILIAL);
        tempo();
        click(clicaUnidade);
        tempo();
        click(campoServico);
        tempo();
        click(minimizaCampoBusca);
        tempo();
        click(defineServico);
        tempo();
        click(btnOk);
        tempo();
        click(btnConfirmar);
        tempo();
        click(btnVoltarInicio);
        click(btnFiltro);
        tempo();
        click(limpaFiltroTela);
        tempo();
        click(filtroUnidade);
        tempo();
        click(inputUnidade);
        tempo();
        sendKeys(inputUnidade,CDFILIAL);
        //Aguardando unidade informada carregar no filtro
        tempo();
        click(clicaUnidade);
        tempo();
        click(btnAplicarFiltro);
        tempo();
        click(servicoDestino);
        tempo();
        click(clicaScroll);
        tempo();
        click(clicaScroll);
        tempo();
        click(btnEmbalagem);
        tempo();
        click(filtroPontoEntrega);
        tempo();
        click(minimizaCampoBusca);
        tempo();
        click(selecionaBusca);
        tempo();


    }

    public String validaExportacaoEmbalagem(){
        tempo();
       return getText(msgEsperadaExportacaoEmbalagem);
    }

    public void exportarEmbalagemPontoEntrega(String CDFILIAL, String NMPONTOENTREGA){
        click(clicaServico);
        click(clicaScroll);
        click(clicaScroll);
        click(btnEmbalagem);
        click(filtroPontoEntrega);
        click(informaBusca);
        sendKeys(informaBusca, NMPONTOENTREGA);
        click(nmPontoEntrega);
        click(btnAcoes);
        click(exportaEmbalagem);
        click(filtroFilial);
        click(informaBusca);
        sendKeys(informaBusca, CDFILIAL);
        tempo();
        click(clicaUnidade);
        click(campoServico);
        click(minimizaCampoBusca);
        click(defineServico);
        click(btnOk);
        click(nmDestFiliDest);
        click(minimizaCampoBusca);
        click(defineServico);
        click(btnOk);
        click(btnConfirmar);
        tempo();
        click(btnVoltarInicio);
        click(btnFiltro);
        click(limpaFiltro);
        click(filtroUnidade);
        click(informaBusca);
        sendKeys(informaBusca,CDFILIAL);
        //Aguardando unidade informada carregar no filtro
        tempo();
        click(clicaUnidade);
        click(btnAplicarFiltro);
        click(servicoDestino);
        click(clicaScroll);
        click(clicaScroll);
        click(btnEmbalagem);
        tempo();
        click(filtroPontoEntrega);
        click(informaBusca);
        sendKeys(informaBusca, NMPONTOENTREGA);
        click(nmPontoEntrega);
        tempo();

    }

    public void importaEmbalage(String CDUNIDADE){
        click(clicaServico);
        click(clicaScroll);
        click(clicaScroll);
        click(btnEmbalagem);
        click(btnAcoes);
        click(importaEmbalagem);
        click(filtraUnidade);
        click(informaBusca);
        sendKeys(informaBusca, CDUNIDADE);
        tempo();
        click(selecionaBusca);
        click(buscaServico);
        click(minimizaCampoBusca);
        click(marcaServico);
        tempo();
        click(btnConfirmar);
        tempo();
        click(botaoCancelar);
        tempo();
        click(clicaEmbalagem);
        tempo();
        for (int i = 0; i < 2; i++) {
            click(btnVoltarInicio);
        }
        tempo();
    }

    public void importaEmbalagemPontoEntrega(String CDUNIDADE){
        click(clicaServico);
        click(clicaScroll);
        click(clicaScroll);
        click(btnEmbalagem);
        /*  click(filtroPontoEntrega);
        click(informaBusca);
        sendKeys(informaBusca, NMPONTOENTREGA);
        click(nmPontoEntrega);*/
        click(btnAcoes);
        click(importaEmbalagem);
        click(filtraUnidade);
        click(informaBusca);
        sendKeys(informaBusca, CDUNIDADE);
        tempo();
        click(selecionaBusca);
        click(buscaServico);
        click(minimizaCampoBusca);
        click(marcaServico);
        tempo();
        click(nmDestFiliOri);
        click(minimizaCampoBusca);
        click(nmPontoEntrega);
        tempo();
        click(btnConfirmar);
        tempo();
        click(clicaEmbalagem);
        tempo();
        for (int i = 0; i < 2; i++) {
            click(btnVoltarInicio);
        }
        tempo();

    }

    public void excluirEmbalagens(){
        click(clicaServico);
        tempo();
        click(clicaScroll);
        tempo();
        click(clicaScroll);
        click(btnEmbalagem);
        click(marcarEmbalagem);
        tempo();
       // click(marcarEmbalagem01);
        click(btnExcluirEmbalagem);
        tempo();
        click(confirmaMensagem);
        tempo();

    }

    public void excluirEmbalagemPontoEntrega(String NMPONTOENTREGA){
        click(clicaServico);
        click(clicaScroll);
        click(clicaScroll);
        click(btnEmbalagem);
        click(filtroPontoEntrega);
        click(informaBusca);
        sendKeys(informaBusca, NMPONTOENTREGA);
        click(nmPontoEntrega);
        click(marcarEmbalagem);
        click(btnExcluirEmbalagem);
        click(confirmaMensagem);
        tempo();

    }

    public String validaExclusao(){
        tempo();
        return getText(validaExclusao);
    }

    public void alterarProdutoFaturamento(String CDPRODFATU){
        click(clicaServico);
        tempo();
        click(btnFaturamento);
        tempo();
        click(produtosParaFaturamento);
        tempo();
        click(clicaPercentualProd1 );
        clearAndSendKeys(novoValorPercentualProd1,"50");
        click(produtosParaFaturamento);
        tempo();
        click(btnSalvarAlteracoes);
        tempo();
        click(botaoOk);
        tempo();
        click(addProdFaturamento);
        tempo();
        click(buscaProdFatu);
        tempo();
        click(nomeProdFaturamento);
        tempo();
        sendKeys(nomeProdFaturamento, CDPRODFATU);
        tempo();
        click(clicaProduto);
        tempo();
        click(valPercentual);
        tempo();
        sendKeys(valPercentual, "100");
        tempo();
        click(btnConfimarProdFatu);
        tempo();
        click(btnSalvarAlteracoes);
        tempo();
        click(botaoOk);
        tempo();
        click(clicaPercentualProd2);
        tempo();
        clearAndSendKeys(novoValorPercentualProd2,"50");
        click(btnSalvarAlteracoes);
        tempo();
    }

    public void apagandoProdutoServicoFaturamento(){
        click(clicaServico);
        tempo();
        click(btnFaturamento);
        tempo();
        click(checkBoxServicoFaturamento);
        tempo();
        click(botaoExcluirServicoFatu);
        tempo();
        click(confirmaMensagem);
        tempo();
        click(produtosParaFaturamento);
        tempo();
        click(selcionaProduto2);
        click(botaoExcluirProdutoFat);
        tempo();
        click(btnSalvarAlteracoes);
        tempo();
        click(botaoOk);
        tempo();
        click(selecionaProduto1);
        click(botaoExcluirProdutoFat);
        tempo();
        click(btnSalvarAlteracoes);
        tempo();
        click(confirmaMensagem);
        tempo();
        click(selecionaProduto1);
        click(botaoExcluirProdutoFat);
        tempo();
        click(btnSalvarAlteracoes);
        tempo();
        click(confirmaMensagem);
        tempo();

    }

    public String validaExclusaoTurno(){
            return getText(validaExclusaoTurno);
    }

    public String validaAlteracaoProdutoFaturamento(){
        return getText(novoProdutoFaturamento);
    }




}
